
clear;
clc;


%% Load Model Simulation

load Model_2_Simulation.mat
load Model_3_Exp1.mat
load Model_4_Exp2.mat


%% Wealth

wealth_t=x_t+z_t;
wealth_t_exp_rq=x_t_exp_rq+z_t_exp_rq;
wealth_t_exp_rqrs=x_t_exp_rqrs+z_t_exp_rqrs;


%% Densities

[wealth_distr4446,xixi4446,bw4446]=ksdensity((wealth_t(:,18)+wealth_t(:,19)+wealth_t(:,20))/3);
[wealth_distr4749,xixi4749,bw4749]=ksdensity((wealth_t(:,21)+wealth_t(:,22)+wealth_t(:,23))/3);
[wealth_distr5052,xixi5052,bw5052]=ksdensity((wealth_t(:,24)+wealth_t(:,25)+wealth_t(:,26))/3);
[wealth_distr5355,xixi5355,bw5355]=ksdensity((wealth_t(:,27)+wealth_t(:,28)+wealth_t(:,29))/3);
[wealth_distr5658,xixi5658,bw5658]=ksdensity((wealth_t(:,30)+wealth_t(:,31)+wealth_t(:,32))/3);
[wealth_distr5961,xixi5961,bw5961]=ksdensity((wealth_t(:,33)+wealth_t(:,34)+wealth_t(:,35))/3);
[wealth_distr6264,xixi6264,bw6264]=ksdensity((wealth_t(:,36)+wealth_t(:,37)+wealth_t(:,38))/3);
[wealth_distr6567,xixi6567,bw6567]=ksdensity((wealth_t(:,39)+wealth_t(:,40)+wealth_t(:,41))/3);

[wealth_distr4446_exp_rq,xixi4446_exp_rq,bw4446rq]=ksdensity((wealth_t_exp_rq(:,18)+wealth_t_exp_rq(:,19)+wealth_t_exp_rq(:,20))/3);
[wealth_distr4749_exp_rq,xixi4749_exp_rq,bw4749rq]=ksdensity((wealth_t_exp_rq(:,21)+wealth_t_exp_rq(:,22)+wealth_t_exp_rq(:,23))/3);
[wealth_distr5052_exp_rq,xixi5052_exp_rq,bw5052rq]=ksdensity((wealth_t_exp_rq(:,24)+wealth_t_exp_rq(:,25)+wealth_t_exp_rq(:,26))/3);
[wealth_distr5355_exp_rq,xixi5355_exp_rq,bw5355rq]=ksdensity((wealth_t_exp_rq(:,27)+wealth_t_exp_rq(:,28)+wealth_t_exp_rq(:,29))/3);
[wealth_distr5658_exp_rq,xixi5658_exp_rq,bw5658rq]=ksdensity((wealth_t_exp_rq(:,30)+wealth_t_exp_rq(:,31)+wealth_t_exp_rq(:,32))/3);
[wealth_distr5961_exp_rq,xixi5961_exp_rq,bw5961rq]=ksdensity((wealth_t_exp_rq(:,33)+wealth_t_exp_rq(:,34)+wealth_t_exp_rq(:,35))/3);
[wealth_distr6264_exp_rq,xixi6264_exp_rq,bw6264rq]=ksdensity((wealth_t_exp_rq(:,36)+wealth_t_exp_rq(:,37)+wealth_t_exp_rq(:,38))/3);
[wealth_distr6567_exp_rq,xixi6567_exp_rq,bw6567rq]=ksdensity((wealth_t_exp_rq(:,39)+wealth_t_exp_rq(:,40)+wealth_t_exp_rq(:,41))/3);

[wealth_distr4446_exp_rqrs,xixi4446_exp_rqrs,bw4446rqrs]=ksdensity((wealth_t_exp_rqrs(:,18)+wealth_t_exp_rqrs(:,19)+wealth_t_exp_rqrs(:,20))/3);
[wealth_distr4749_exp_rqrs,xixi4749_exp_rqrs,bw4749rqrs]=ksdensity((wealth_t_exp_rqrs(:,21)+wealth_t_exp_rqrs(:,22)+wealth_t_exp_rqrs(:,23))/3);
[wealth_distr5052_exp_rqrs,xixi5052_exp_rqrs,bw5052rqrs]=ksdensity((wealth_t_exp_rqrs(:,24)+wealth_t_exp_rqrs(:,25)+wealth_t_exp_rqrs(:,26))/3);
[wealth_distr5355_exp_rqrs,xixi5355_exp_rqrs,bw5355rqrs]=ksdensity((wealth_t_exp_rqrs(:,27)+wealth_t_exp_rqrs(:,28)+wealth_t_exp_rqrs(:,29))/3);
[wealth_distr5658_exp_rqrs,xixi5658_exp_rqrs,bw5658rqrs]=ksdensity((wealth_t_exp_rqrs(:,30)+wealth_t_exp_rqrs(:,31)+wealth_t_exp_rqrs(:,32))/3);
[wealth_distr5961_exp_rqrs,xixi5961_exp_rqrs,bw5961rqrs]=ksdensity((wealth_t_exp_rqrs(:,33)+wealth_t_exp_rqrs(:,34)+wealth_t_exp_rqrs(:,35))/3);
[wealth_distr6264_exp_rqrs,xixi6264_exp_rqrs,bw6264rqrs]=ksdensity((wealth_t_exp_rqrs(:,36)+wealth_t_exp_rqrs(:,37)+wealth_t_exp_rqrs(:,38))/3);
[wealth_distr6567_exp_rqrs,xixi6567_exp_rqrs,bw6567rqrs]=ksdensity((wealth_t_exp_rqrs(:,39)+wealth_t_exp_rqrs(:,40)+wealth_t_exp_rqrs(:,41))/3);


bw_fac=3;
[wealth_distr6264,xixi6264,bw62642]=ksdensity((wealth_t(:,36)+wealth_t(:,37)+wealth_t(:,38))/3,'bandwidth',bw_fac*bw6264);
[wealth_distr6567,xixi6567,bw65672]=ksdensity((wealth_t(:,39)+wealth_t(:,40)+wealth_t(:,41))/3,'bandwidth',bw_fac*bw6567);
[wealth_distr6264_exp_rq,xixi6264_exp_rq,bw6264rq2]=ksdensity((wealth_t_exp_rq(:,36)+wealth_t_exp_rq(:,37)+wealth_t_exp_rq(:,38))/3,'bandwidth',bw_fac*bw6264rq);
[wealth_distr6567_exp_rq,xixi6567_exp_rq,bw6567rq2]=ksdensity((wealth_t_exp_rq(:,39)+wealth_t_exp_rq(:,40)+wealth_t_exp_rq(:,41))/3,'bandwidth',bw_fac*bw6567rq);
[wealth_distr6264_exp_rqrs,xixi6264_exp_rqrs,bw6264rqrs2]=ksdensity((wealth_t_exp_rqrs(:,36)+wealth_t_exp_rqrs(:,37)+wealth_t_exp_rqrs(:,38))/3,'bandwidth',bw_fac*bw6264rqrs);
[wealth_distr6567_exp_rqrs,xixi6567_exp_rqrs,bw6567rqrs2]=ksdensity((wealth_t_exp_rqrs(:,39)+wealth_t_exp_rqrs(:,40)+wealth_t_exp_rqrs(:,41))/3,'bandwidth',bw_fac*bw6567rqrs);


%% Figure

figure('PaperPosition',[-1 15 22 12])

subplot(2,4,1)
hold on;
plot(xixi4446,wealth_distr4446,'-k','linewidth',1)
plot(xixi4446_exp_rq,wealth_distr4446_exp_rq,'--r','linewidth',1)
plot(xixi4446_exp_rqrs,wealth_distr4446_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 44 -- 46','FontSize',11,'Interpreter','latex')
hold off;
legend({'Baseline','Only shock to $r_q$','Shock to $r_q$ and $r_s$'},'FontSize',10,'Interpreter','latex','Location','southoutside','Orientation','horizontal','Box','off')
box on;

subplot(2,4,2)
hold on;
plot(xixi4749,wealth_distr4749,'-k','linewidth',1)
plot(xixi4749_exp_rq,wealth_distr4749_exp_rq,'--r','linewidth',1)
plot(xixi4749_exp_rqrs,wealth_distr4749_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 47 -- 49','FontSize',11,'Interpreter','latex')
hold off;
box on;

subplot(2,4,3)
hold on;
plot(xixi5052,wealth_distr5052,'-k','linewidth',1)
plot(xixi5052_exp_rq,wealth_distr5052_exp_rq,'--r','linewidth',1)
plot(xixi5052_exp_rqrs,wealth_distr5052_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 50 -- 52','FontSize',11,'Interpreter','latex')
hold off;
box on;

subplot(2,4,4)
hold on;
plot(xixi5355,wealth_distr5355,'-k','linewidth',1)
plot(xixi5355_exp_rq,wealth_distr5355_exp_rq,'--r','linewidth',1)
plot(xixi5355_exp_rqrs,wealth_distr5355_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 53 -- 55','FontSize',11,'Interpreter','latex')
hold off;
box on;

subplot(2,4,5)
hold on;
plot(xixi5658,wealth_distr5658,'-k','linewidth',1)
plot(xixi5658_exp_rq,wealth_distr5658_exp_rq,'--r','linewidth',1)
plot(xixi5658_exp_rqrs,wealth_distr5658_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 56 -- 58','FontSize',11,'Interpreter','latex')
hold off;
box on;

subplot(2,4,6)
hold on;
plot(xixi5961,wealth_distr5961,'-k','linewidth',1)
plot(xixi5961_exp_rq,wealth_distr5961_exp_rq,'--r','linewidth',1)
plot(xixi5961_exp_rqrs,wealth_distr5961_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 59 -- 61','FontSize',11,'Interpreter','latex')
hold off;
box on;

subplot(2,4,7)
hold on;
plot(xixi6264,wealth_distr6264,'-k','linewidth',1)
plot(xixi6264_exp_rq,wealth_distr6264_exp_rq,'--r','linewidth',1)
plot(xixi6264_exp_rqrs,wealth_distr6264_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 62 -- 64','FontSize',11,'Interpreter','latex')
hold off;
box on;

subplot(2,4,8)
hold on;
plot(xixi6567,wealth_distr6567,'-k','linewidth',1)
plot(xixi6567_exp_rq,wealth_distr6567_exp_rq,'--r','linewidth',1)
plot(xixi6567_exp_rqrs,wealth_distr6567_exp_rqrs,'-.b','linewidth',1)
axis([1 7 0 0.7])
xticks([2 4 6])
yticks([0 0.2 0.4 0.6])
title('Age 65 -- 67','FontSize',11,'Interpreter','latex')
hold off;
box on;






