
clear;
clc;

%% Import data

data=importdata('SCF_outsheetdata_portshares.dat');

Year=data.data(:,1);
sofinass=data.data(:,2);
bofinass=data.data(:,3);
qofinass=data.data(:,4);
Agegroup=data.data(:,5);

clearvars data


%% Data preparation

n_89_2325=zeros(18,1);
n_89_2628=zeros(18,1);
n_89_2931=zeros(18,1);
n_89_3234=zeros(18,1);
n_89_3537=zeros(18,1);
n_89_3840=zeros(18,1);
n_89_4143=zeros(18,1);
n_89_4446=zeros(18,1);
n_89_4749=zeros(18,1);
n_89_5052=zeros(18,1);
n_89_5355=zeros(18,1);
n_89_5658=zeros(18,1);

s_89_2325=zeros(18,1);
s_89_2628=zeros(18,1);
s_89_2931=zeros(18,1);
s_89_3234=zeros(18,1);
s_89_3537=zeros(18,1);
s_89_3840=zeros(18,1);
s_89_4143=zeros(18,1);
s_89_4446=zeros(18,1);
s_89_4749=zeros(18,1);
s_89_5052=zeros(18,1);
s_89_5355=zeros(18,1);
s_89_5658=zeros(18,1);

b_89_2325=zeros(18,1);
b_89_2628=zeros(18,1);
b_89_2931=zeros(18,1);
b_89_3234=zeros(18,1);
b_89_3537=zeros(18,1);
b_89_3840=zeros(18,1);
b_89_4143=zeros(18,1);
b_89_4446=zeros(18,1);
b_89_4749=zeros(18,1);
b_89_5052=zeros(18,1);
b_89_5355=zeros(18,1);
b_89_5658=zeros(18,1);

q_89_2325=zeros(18,1);
q_89_2628=zeros(18,1);
q_89_2931=zeros(18,1);
q_89_3234=zeros(18,1);
q_89_3537=zeros(18,1);
q_89_3840=zeros(18,1);
q_89_4143=zeros(18,1);
q_89_4446=zeros(18,1);
q_89_4749=zeros(18,1);
q_89_5052=zeros(18,1);
q_89_5355=zeros(18,1);
q_89_5658=zeros(18,1);


for i=1:length(Agegroup)
    
    if Year(i)==1989
        if Agegroup(i)==2325 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(1)=n_89_2325(1)+1;
            s_89_2325(1)=s_89_2325(1)+sofinass(i);
            b_89_2325(1)=b_89_2325(1)+bofinass(i);
            q_89_2325(1)=q_89_2325(1)+qofinass(i);    
        elseif Agegroup(i)==2628 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(2)=n_89_2628(2)+1;
            s_89_2628(2)=s_89_2628(2)+sofinass(i);
            b_89_2628(2)=b_89_2628(2)+bofinass(i);
            q_89_2628(2)=q_89_2628(2)+qofinass(i); 
        elseif Agegroup(i)==2931 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(3)=n_89_2931(3)+1;
            s_89_2931(3)=s_89_2931(3)+sofinass(i);
            b_89_2931(3)=b_89_2931(3)+bofinass(i);
            q_89_2931(3)=q_89_2931(3)+qofinass(i);
        elseif Agegroup(i)==3234 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(4)=n_89_3234(4)+1;
            s_89_3234(4)=s_89_3234(4)+sofinass(i);
            b_89_3234(4)=b_89_3234(4)+bofinass(i);
            q_89_3234(4)=q_89_3234(4)+qofinass(i);
        elseif Agegroup(i)==3537 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(5)=n_89_3537(5)+1;
            s_89_3537(5)=s_89_3537(5)+sofinass(i);
            b_89_3537(5)=b_89_3537(5)+bofinass(i);
            q_89_3537(5)=q_89_3537(5)+qofinass(i);
        elseif Agegroup(i)==3840 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(6)=n_89_3840(6)+1;
            s_89_3840(6)=s_89_3840(6)+sofinass(i);
            b_89_3840(6)=b_89_3840(6)+bofinass(i);
            q_89_3840(6)=q_89_3840(6)+qofinass(i);         
        elseif Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(7)=n_89_4143(7)+1;
            s_89_4143(7)=s_89_4143(7)+sofinass(i);
            b_89_4143(7)=b_89_4143(7)+bofinass(i);
            q_89_4143(7)=q_89_4143(7)+qofinass(i);         
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(8)=n_89_4446(8)+1;
            s_89_4446(8)=s_89_4446(8)+sofinass(i);
            b_89_4446(8)=b_89_4446(8)+bofinass(i);
            q_89_4446(8)=q_89_4446(8)+qofinass(i);               
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(9)=n_89_4749(9)+1;
            s_89_4749(9)=s_89_4749(9)+sofinass(i);
            b_89_4749(9)=b_89_4749(9)+bofinass(i);
            q_89_4749(9)=q_89_4749(9)+qofinass(i);
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(10)=n_89_5052(10)+1;
            s_89_5052(10)=s_89_5052(10)+sofinass(i);
            b_89_5052(10)=b_89_5052(10)+bofinass(i);
            q_89_5052(10)=q_89_5052(10)+qofinass(i);      
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(11)=n_89_5355(11)+1;
            s_89_5355(11)=s_89_5355(11)+sofinass(i);
            b_89_5355(11)=b_89_5355(11)+bofinass(i);
            q_89_5355(11)=q_89_5355(11)+qofinass(i);                   
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(12)=n_89_5658(12)+1;
            s_89_5658(12)=s_89_5658(12)+sofinass(i);
            b_89_5658(12)=b_89_5658(12)+bofinass(i);
            q_89_5658(12)=q_89_5658(12)+qofinass(i);    
        end
    end
    
    
    if Year(i)==1992
        if Agegroup(i)==2628 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(2)=n_89_2325(2)+1;
            s_89_2325(2)=s_89_2325(2)+sofinass(i);
            b_89_2325(2)=b_89_2325(2)+bofinass(i);
            q_89_2325(2)=q_89_2325(2)+qofinass(i);    
        elseif Agegroup(i)==2931 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(3)=n_89_2628(3)+1;
            s_89_2628(3)=s_89_2628(3)+sofinass(i);
            b_89_2628(3)=b_89_2628(3)+bofinass(i);
            q_89_2628(3)=q_89_2628(3)+qofinass(i); 
        elseif Agegroup(i)==3234 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(4)=n_89_2931(4)+1;
            s_89_2931(4)=s_89_2931(4)+sofinass(i);
            b_89_2931(4)=b_89_2931(4)+bofinass(i);
            q_89_2931(4)=q_89_2931(4)+qofinass(i);
        elseif Agegroup(i)==3537 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(5)=n_89_3234(5)+1;
            s_89_3234(5)=s_89_3234(5)+sofinass(i);
            b_89_3234(5)=b_89_3234(5)+bofinass(i);
            q_89_3234(5)=q_89_3234(5)+qofinass(i);
        elseif Agegroup(i)==3840 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(6)=n_89_3537(6)+1;
            s_89_3537(6)=s_89_3537(6)+sofinass(i);
            b_89_3537(6)=b_89_3537(6)+bofinass(i);
            q_89_3537(6)=q_89_3537(6)+qofinass(i);
        elseif Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(7)=n_89_3840(7)+1;
            s_89_3840(7)=s_89_3840(7)+sofinass(i);
            b_89_3840(7)=b_89_3840(7)+bofinass(i);
            q_89_3840(7)=q_89_3840(7)+qofinass(i);         
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(8)=n_89_4143(8)+1;
            s_89_4143(8)=s_89_4143(8)+sofinass(i);
            b_89_4143(8)=b_89_4143(8)+bofinass(i);
            q_89_4143(8)=q_89_4143(8)+qofinass(i);         
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(9)=n_89_4446(9)+1;
            s_89_4446(9)=s_89_4446(9)+sofinass(i);
            b_89_4446(9)=b_89_4446(9)+bofinass(i);
            q_89_4446(9)=q_89_4446(9)+qofinass(i);               
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(10)=n_89_4749(10)+1;
            s_89_4749(10)=s_89_4749(10)+sofinass(i);
            b_89_4749(10)=b_89_4749(10)+bofinass(i);
            q_89_4749(10)=q_89_4749(10)+qofinass(i);
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(11)=n_89_5052(11)+1;
            s_89_5052(11)=s_89_5052(11)+sofinass(i);
            b_89_5052(11)=b_89_5052(11)+bofinass(i);
            q_89_5052(11)=q_89_5052(11)+qofinass(i);      
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(12)=n_89_5355(12)+1;
            s_89_5355(12)=s_89_5355(12)+sofinass(i);
            b_89_5355(12)=b_89_5355(12)+bofinass(i);
            q_89_5355(12)=q_89_5355(12)+qofinass(i);                   
        elseif Agegroup(i)==5961 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(13)=n_89_5658(13)+1;
            s_89_5658(13)=s_89_5658(13)+sofinass(i);
            b_89_5658(13)=b_89_5658(13)+bofinass(i);
            q_89_5658(13)=q_89_5658(13)+qofinass(i);    
        end
    end
   
    
    if Year(i)==1995
        if Agegroup(i)==2931 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(3)=n_89_2325(3)+1;
            s_89_2325(3)=s_89_2325(3)+sofinass(i);
            b_89_2325(3)=b_89_2325(3)+bofinass(i);
            q_89_2325(3)=q_89_2325(3)+qofinass(i);    
        elseif Agegroup(i)==3234 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(4)=n_89_2628(4)+1;
            s_89_2628(4)=s_89_2628(4)+sofinass(i);
            b_89_2628(4)=b_89_2628(4)+bofinass(i);
            q_89_2628(4)=q_89_2628(4)+qofinass(i); 
        elseif Agegroup(i)==3537 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(5)=n_89_2931(5)+1;
            s_89_2931(5)=s_89_2931(5)+sofinass(i);
            b_89_2931(5)=b_89_2931(5)+bofinass(i);
            q_89_2931(5)=q_89_2931(5)+qofinass(i);
        elseif Agegroup(i)==3840 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(6)=n_89_3234(6)+1;
            s_89_3234(6)=s_89_3234(6)+sofinass(i);
            b_89_3234(6)=b_89_3234(6)+bofinass(i);
            q_89_3234(6)=q_89_3234(6)+qofinass(i);
        elseif Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(7)=n_89_3537(7)+1;
            s_89_3537(7)=s_89_3537(7)+sofinass(i);
            b_89_3537(7)=b_89_3537(7)+bofinass(i);
            q_89_3537(7)=q_89_3537(7)+qofinass(i);
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(8)=n_89_3840(8)+1;
            s_89_3840(8)=s_89_3840(8)+sofinass(i);
            b_89_3840(8)=b_89_3840(8)+bofinass(i);
            q_89_3840(8)=q_89_3840(8)+qofinass(i);         
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(9)=n_89_4143(9)+1;
            s_89_4143(9)=s_89_4143(9)+sofinass(i);
            b_89_4143(9)=b_89_4143(9)+bofinass(i);
            q_89_4143(9)=q_89_4143(9)+qofinass(i);         
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(10)=n_89_4446(10)+1;
            s_89_4446(10)=s_89_4446(10)+sofinass(i);
            b_89_4446(10)=b_89_4446(10)+bofinass(i);
            q_89_4446(10)=q_89_4446(10)+qofinass(i);               
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(11)=n_89_4749(11)+1;
            s_89_4749(11)=s_89_4749(11)+sofinass(i);
            b_89_4749(11)=b_89_4749(11)+bofinass(i);
            q_89_4749(11)=q_89_4749(11)+qofinass(i);
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(12)=n_89_5052(12)+1;
            s_89_5052(12)=s_89_5052(12)+sofinass(i);
            b_89_5052(12)=b_89_5052(12)+bofinass(i);
            q_89_5052(12)=q_89_5052(12)+qofinass(i);      
        elseif Agegroup(i)==5961 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(13)=n_89_5355(13)+1;
            s_89_5355(13)=s_89_5355(13)+sofinass(i);
            b_89_5355(13)=b_89_5355(13)+bofinass(i);
            q_89_5355(13)=q_89_5355(13)+qofinass(i);                   
        elseif Agegroup(i)==6264 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(14)=n_89_5658(14)+1;
            s_89_5658(14)=s_89_5658(14)+sofinass(i);
            b_89_5658(14)=b_89_5658(14)+bofinass(i);
            q_89_5658(14)=q_89_5658(14)+qofinass(i);  
        end
    end
    
 
    if Year(i)==1998
        if Agegroup(i)==3234 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(4)=n_89_2325(4)+1;
            s_89_2325(4)=s_89_2325(4)+sofinass(i);
            b_89_2325(4)=b_89_2325(4)+bofinass(i);
            q_89_2325(4)=q_89_2325(4)+qofinass(i);    
        elseif Agegroup(i)==3537 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(5)=n_89_2628(5)+1;
            s_89_2628(5)=s_89_2628(5)+sofinass(i);
            b_89_2628(5)=b_89_2628(5)+bofinass(i);
            q_89_2628(5)=q_89_2628(5)+qofinass(i); 
        elseif Agegroup(i)==3840 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(6)=n_89_2931(6)+1;
            s_89_2931(6)=s_89_2931(6)+sofinass(i);
            b_89_2931(6)=b_89_2931(6)+bofinass(i);
            q_89_2931(6)=q_89_2931(6)+qofinass(i);
        elseif Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(7)=n_89_3234(7)+1;
            s_89_3234(7)=s_89_3234(7)+sofinass(i);
            b_89_3234(7)=b_89_3234(7)+bofinass(i);
            q_89_3234(7)=q_89_3234(7)+qofinass(i);
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(8)=n_89_3537(8)+1;
            s_89_3537(8)=s_89_3537(8)+sofinass(i);
            b_89_3537(8)=b_89_3537(8)+bofinass(i);
            q_89_3537(8)=q_89_3537(8)+qofinass(i);
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(9)=n_89_3840(9)+1;
            s_89_3840(9)=s_89_3840(9)+sofinass(i);
            b_89_3840(9)=b_89_3840(9)+bofinass(i);
            q_89_3840(9)=q_89_3840(9)+qofinass(i);         
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(10)=n_89_4143(10)+1;
            s_89_4143(10)=s_89_4143(10)+sofinass(i);
            b_89_4143(10)=b_89_4143(10)+bofinass(i);
            q_89_4143(10)=q_89_4143(10)+qofinass(i);         
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(11)=n_89_4446(11)+1;
            s_89_4446(11)=s_89_4446(11)+sofinass(i);
            b_89_4446(11)=b_89_4446(11)+bofinass(i);
            q_89_4446(11)=q_89_4446(11)+qofinass(i);               
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(12)=n_89_4749(12)+1;
            s_89_4749(12)=s_89_4749(12)+sofinass(i);
            b_89_4749(12)=b_89_4749(12)+bofinass(i);
            q_89_4749(12)=q_89_4749(12)+qofinass(i);
        elseif Agegroup(i)==5961 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(13)=n_89_5052(13)+1;
            s_89_5052(13)=s_89_5052(13)+sofinass(i);
            b_89_5052(13)=b_89_5052(13)+bofinass(i);
            q_89_5052(13)=q_89_5052(13)+qofinass(i);      
        elseif Agegroup(i)==6264 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(14)=n_89_5355(14)+1;
            s_89_5355(14)=s_89_5355(14)+sofinass(i);
            b_89_5355(14)=b_89_5355(14)+bofinass(i);
            q_89_5355(14)=q_89_5355(14)+qofinass(i);                   
        elseif Agegroup(i)==6567 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(15)=n_89_5658(15)+1;
            s_89_5658(15)=s_89_5658(15)+sofinass(i);
            b_89_5658(15)=b_89_5658(15)+bofinass(i);
            q_89_5658(15)=q_89_5658(15)+qofinass(i); 
        end
    end
 
 
    if Year(i)==2001
        if Agegroup(i)==3537 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(5)=n_89_2325(5)+1;
            s_89_2325(5)=s_89_2325(5)+sofinass(i);
            b_89_2325(5)=b_89_2325(5)+bofinass(i);
            q_89_2325(5)=q_89_2325(5)+qofinass(i);    
        elseif Agegroup(i)==3840 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(6)=n_89_2628(6)+1;
            s_89_2628(6)=s_89_2628(6)+sofinass(i);
            b_89_2628(6)=b_89_2628(6)+bofinass(i);
            q_89_2628(6)=q_89_2628(6)+qofinass(i); 
        elseif Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(7)=n_89_2931(7)+1;
            s_89_2931(7)=s_89_2931(7)+sofinass(i);
            b_89_2931(7)=b_89_2931(7)+bofinass(i);
            q_89_2931(7)=q_89_2931(7)+qofinass(i);
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(8)=n_89_3234(8)+1;
            s_89_3234(8)=s_89_3234(8)+sofinass(i);
            b_89_3234(8)=b_89_3234(8)+bofinass(i);
            q_89_3234(8)=q_89_3234(8)+qofinass(i);
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(9)=n_89_3537(9)+1;
            s_89_3537(9)=s_89_3537(9)+sofinass(i);
            b_89_3537(9)=b_89_3537(9)+bofinass(i);
            q_89_3537(9)=q_89_3537(9)+qofinass(i);
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(10)=n_89_3840(10)+1;
            s_89_3840(10)=s_89_3840(10)+sofinass(i);
            b_89_3840(10)=b_89_3840(10)+bofinass(i);
            q_89_3840(10)=q_89_3840(10)+qofinass(i);         
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(11)=n_89_4143(11)+1;
            s_89_4143(11)=s_89_4143(11)+sofinass(i);
            b_89_4143(11)=b_89_4143(11)+bofinass(i);
            q_89_4143(11)=q_89_4143(11)+qofinass(i);         
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(12)=n_89_4446(12)+1;
            s_89_4446(12)=s_89_4446(12)+sofinass(i);
            b_89_4446(12)=b_89_4446(12)+bofinass(i);
            q_89_4446(12)=q_89_4446(12)+qofinass(i);               
        elseif Agegroup(i)==5961 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(13)=n_89_4749(13)+1;
            s_89_4749(13)=s_89_4749(13)+sofinass(i);
            b_89_4749(13)=b_89_4749(13)+bofinass(i);
            q_89_4749(13)=q_89_4749(13)+qofinass(i);
        elseif Agegroup(i)==6264 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(14)=n_89_5052(14)+1;
            s_89_5052(14)=s_89_5052(14)+sofinass(i);
            b_89_5052(14)=b_89_5052(14)+bofinass(i);
            q_89_5052(14)=q_89_5052(14)+qofinass(i);      
        elseif Agegroup(i)==6567 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(15)=n_89_5355(15)+1;
            s_89_5355(15)=s_89_5355(15)+sofinass(i);
            b_89_5355(15)=b_89_5355(15)+bofinass(i);
            q_89_5355(15)=q_89_5355(15)+qofinass(i);                   
        elseif Agegroup(i)==6870 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(16)=n_89_5658(16)+1;
            s_89_5658(16)=s_89_5658(16)+sofinass(i);
            b_89_5658(16)=b_89_5658(16)+bofinass(i);
            q_89_5658(16)=q_89_5658(16)+qofinass(i);
        end
    end
 
 
    if Year(i)==2004
        if Agegroup(i)==3840 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(6)=n_89_2325(6)+1;
            s_89_2325(6)=s_89_2325(6)+sofinass(i);
            b_89_2325(6)=b_89_2325(6)+bofinass(i);
            q_89_2325(6)=q_89_2325(6)+qofinass(i);    
        elseif Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(7)=n_89_2628(7)+1;
            s_89_2628(7)=s_89_2628(7)+sofinass(i);
            b_89_2628(7)=b_89_2628(7)+bofinass(i);
            q_89_2628(7)=q_89_2628(7)+qofinass(i); 
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(8)=n_89_2931(8)+1;
            s_89_2931(8)=s_89_2931(8)+sofinass(i);
            b_89_2931(8)=b_89_2931(8)+bofinass(i);
            q_89_2931(8)=q_89_2931(8)+qofinass(i);
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(9)=n_89_3234(9)+1;
            s_89_3234(9)=s_89_3234(9)+sofinass(i);
            b_89_3234(9)=b_89_3234(9)+bofinass(i);
            q_89_3234(9)=q_89_3234(9)+qofinass(i);
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(10)=n_89_3537(10)+1;
            s_89_3537(10)=s_89_3537(10)+sofinass(i);
            b_89_3537(10)=b_89_3537(10)+bofinass(i);
            q_89_3537(10)=q_89_3537(10)+qofinass(i);
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(11)=n_89_3840(11)+1;
            s_89_3840(11)=s_89_3840(11)+sofinass(i);
            b_89_3840(11)=b_89_3840(11)+bofinass(i);
            q_89_3840(11)=q_89_3840(11)+qofinass(i);         
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(12)=n_89_4143(12)+1;
            s_89_4143(12)=s_89_4143(12)+sofinass(i);
            b_89_4143(12)=b_89_4143(12)+bofinass(i);
            q_89_4143(12)=q_89_4143(12)+qofinass(i);         
        elseif Agegroup(i)==5961 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(13)=n_89_4446(13)+1;
            s_89_4446(13)=s_89_4446(13)+sofinass(i);
            b_89_4446(13)=b_89_4446(13)+bofinass(i);
            q_89_4446(13)=q_89_4446(13)+qofinass(i);               
        elseif Agegroup(i)==6264 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(14)=n_89_4749(14)+1;
            s_89_4749(14)=s_89_4749(14)+sofinass(i);
            b_89_4749(14)=b_89_4749(14)+bofinass(i);
            q_89_4749(14)=q_89_4749(14)+qofinass(i);
        elseif Agegroup(i)==6567 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(15)=n_89_5052(15)+1;
            s_89_5052(15)=s_89_5052(15)+sofinass(i);
            b_89_5052(15)=b_89_5052(15)+bofinass(i);
            q_89_5052(15)=q_89_5052(15)+qofinass(i);      
        elseif Agegroup(i)==6870 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(16)=n_89_5355(16)+1;
            s_89_5355(16)=s_89_5355(16)+sofinass(i);
            b_89_5355(16)=b_89_5355(16)+bofinass(i);
            q_89_5355(16)=q_89_5355(16)+qofinass(i);                   
        elseif Agegroup(i)==7173 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(17)=n_89_5658(17)+1;
            s_89_5658(17)=s_89_5658(17)+sofinass(i);
            b_89_5658(17)=b_89_5658(17)+bofinass(i);
            q_89_5658(17)=q_89_5658(17)+qofinass(i);   
        end
    end
 
 
    if Year(i)==2007
        if Agegroup(i)==4143 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2325(7)=n_89_2325(7)+1;
            s_89_2325(7)=s_89_2325(7)+sofinass(i);
            b_89_2325(7)=b_89_2325(7)+bofinass(i);
            q_89_2325(7)=q_89_2325(7)+qofinass(i);    
        elseif Agegroup(i)==4446 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2628(8)=n_89_2628(8)+1;
            s_89_2628(8)=s_89_2628(8)+sofinass(i);
            b_89_2628(8)=b_89_2628(8)+bofinass(i);
            q_89_2628(8)=q_89_2628(8)+qofinass(i); 
        elseif Agegroup(i)==4749 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_2931(9)=n_89_2931(9)+1;
            s_89_2931(9)=s_89_2931(9)+sofinass(i);
            b_89_2931(9)=b_89_2931(9)+bofinass(i);
            q_89_2931(9)=q_89_2931(9)+qofinass(i);
        elseif Agegroup(i)==5052 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3234(10)=n_89_3234(10)+1;
            s_89_3234(10)=s_89_3234(10)+sofinass(i);
            b_89_3234(10)=b_89_3234(10)+bofinass(i);
            q_89_3234(10)=q_89_3234(10)+qofinass(i);
        elseif Agegroup(i)==5355 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3537(11)=n_89_3537(11)+1;
            s_89_3537(11)=s_89_3537(11)+sofinass(i);
            b_89_3537(11)=b_89_3537(11)+bofinass(i);
            q_89_3537(11)=q_89_3537(11)+qofinass(i);
        elseif Agegroup(i)==5658 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_3840(12)=n_89_3840(12)+1;
            s_89_3840(12)=s_89_3840(12)+sofinass(i);
            b_89_3840(12)=b_89_3840(12)+bofinass(i);
            q_89_3840(12)=q_89_3840(12)+qofinass(i);         
        elseif Agegroup(i)==5961 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4143(13)=n_89_4143(13)+1;
            s_89_4143(13)=s_89_4143(13)+sofinass(i);
            b_89_4143(13)=b_89_4143(13)+bofinass(i);
            q_89_4143(13)=q_89_4143(13)+qofinass(i);         
        elseif Agegroup(i)==6264 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4446(14)=n_89_4446(14)+1;
            s_89_4446(14)=s_89_4446(14)+sofinass(i);
            b_89_4446(14)=b_89_4446(14)+bofinass(i);
            q_89_4446(14)=q_89_4446(14)+qofinass(i);               
        elseif Agegroup(i)==6567 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_4749(15)=n_89_4749(15)+1;
            s_89_4749(15)=s_89_4749(15)+sofinass(i);
            b_89_4749(15)=b_89_4749(15)+bofinass(i);
            q_89_4749(15)=q_89_4749(15)+qofinass(i);
        elseif Agegroup(i)==6870 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5052(16)=n_89_5052(16)+1;
            s_89_5052(16)=s_89_5052(16)+sofinass(i);
            b_89_5052(16)=b_89_5052(16)+bofinass(i);
            q_89_5052(16)=q_89_5052(16)+qofinass(i);      
        elseif Agegroup(i)==7173 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5355(17)=n_89_5355(17)+1;
            s_89_5355(17)=s_89_5355(17)+sofinass(i);
            b_89_5355(17)=b_89_5355(17)+bofinass(i);
            q_89_5355(17)=q_89_5355(17)+qofinass(i);                   
        elseif Agegroup(i)==7476 && ~isnan(sofinass(i)) &&  ~isnan(bofinass(i)) &&  ~isnan(qofinass(i))
            n_89_5658(18)=n_89_5658(18)+1;
            s_89_5658(18)=s_89_5658(18)+sofinass(i);
            b_89_5658(18)=b_89_5658(18)+bofinass(i);
            q_89_5658(18)=q_89_5658(18)+qofinass(i); 
        end
    end
 
    
end


s_89_2325=s_89_2325./n_89_2325;
s_89_2628=s_89_2628./n_89_2628;
s_89_2931=s_89_2931./n_89_2931;
s_89_3234=s_89_3234./n_89_3234;
s_89_3537=s_89_3537./n_89_3537;
s_89_3840=s_89_3840./n_89_3840;
s_89_4143=s_89_4143./n_89_4143;
s_89_4446=s_89_4446./n_89_4446;
s_89_4749=s_89_4749./n_89_4749;
s_89_5052=s_89_5052./n_89_5052;
s_89_5355=s_89_5355./n_89_5355;
s_89_5658=s_89_5658./n_89_5658;

b_89_2325=b_89_2325./n_89_2325;
b_89_2628=b_89_2628./n_89_2628;
b_89_2931=b_89_2931./n_89_2931;
b_89_3234=b_89_3234./n_89_3234;
b_89_3537=b_89_3537./n_89_3537;
b_89_3840=b_89_3840./n_89_3840;
b_89_4143=b_89_4143./n_89_4143;
b_89_4446=b_89_4446./n_89_4446;
b_89_4749=b_89_4749./n_89_4749;
b_89_5052=b_89_5052./n_89_5052;
b_89_5355=b_89_5355./n_89_5355;
b_89_5658=b_89_5658./n_89_5658;

q_89_2325=q_89_2325./n_89_2325;
q_89_2628=q_89_2628./n_89_2628;
q_89_2931=q_89_2931./n_89_2931;
q_89_3234=q_89_3234./n_89_3234;
q_89_3537=q_89_3537./n_89_3537;
q_89_3840=q_89_3840./n_89_3840;
q_89_4143=q_89_4143./n_89_4143;
q_89_4446=q_89_4446./n_89_4446;
q_89_4749=q_89_4749./n_89_4749;
q_89_5052=q_89_5052./n_89_5052;
q_89_5355=q_89_5355./n_89_5355;
q_89_5658=q_89_5658./n_89_5658;


%% Figures

figure('PaperPosition',[0 21 21 9])
hold on;
plot(q_89_2628(2:end))
plot(q_89_2931(2:end))
plot(q_89_3234(2:end))
plot(q_89_3537(2:end))
plot(q_89_3840(2:end))
plot(q_89_4143(2:end))
plot(q_89_4446(2:end))
plot(q_89_4749(2:end))
plot(q_89_5052(2:end))
plot(q_89_5355(2:end))
plot(q_89_5658(2:end))
hold off;
axis([0 18 0.055 0.145])
xticks([1 4 7 10 13 16])
xticklabels({'26-28','35-37','44-46','53-55','62-64','71-73'})
box on;
xlabel('Age group','FontSize',11,'Interpreter','latex')
ylabel('Average long-term gov. debt share','FontSize',11,'Interpreter','latex')

print('Fig1_qshare','-dpdf')


figure('PaperPosition',[0 21 21 9])
hold on;
plot(s_89_2628(2:end))
plot(s_89_2931(2:end))
plot(s_89_3234(2:end))
plot(s_89_3537(2:end))
plot(s_89_3840(2:end))
plot(s_89_4143(2:end))
plot(s_89_4446(2:end))
plot(s_89_4749(2:end))
plot(s_89_5052(2:end))
plot(s_89_5355(2:end))
plot(s_89_5658(2:end))
hold off;
axis([0 18 0.09 0.42])
xticks([1 4 7 10 13 16])
xticklabels({'26-28','35-37','44-46','53-55','62-64','71-73'})
box on;
xlabel('Age group','FontSize',11,'Interpreter','latex')
ylabel('Average stock share','FontSize',11,'Interpreter','latex')

print('Fig2_sshare','-dpdf')


figure('PaperPosition',[0 21 21 9])
hold on;
plot(b_89_2628(2:end))
plot(b_89_2931(2:end))
plot(b_89_3234(2:end))
plot(b_89_3537(2:end))
plot(b_89_3840(2:end))
plot(b_89_4143(2:end))
plot(b_89_4446(2:end))
plot(b_89_4749(2:end))
plot(b_89_5052(2:end))
plot(b_89_5355(2:end))
plot(b_89_5658(2:end))
hold off;
axis([0 18 0.475 0.85])
xticks([1 4 7 10 13 16])
xticklabels({'26-28','35-37','44-46','53-55','62-64','71-73'})
box on;
xlabel('Age group','FontSize',11,'Interpreter','latex')
ylabel('Average share of assets in residual category','FontSize',11,'Interpreter','latex')

print('Fig3_bshare','-dpdf')
