
clear;
clc;


%% Model

load Model_2_Simulation.mat;

wealth_t=x_t+z_t;

mean_wealth_t=mean(wealth_t);
median_wealth_t=median(wealth_t);

mean=zeros(1,16);

mean(1)=(mean_wealth_t(3)+mean_wealth_t(4)+mean_wealth_t(5))/3;
mean(2)=(mean_wealth_t(6)+mean_wealth_t(7)+mean_wealth_t(8))/3;
mean(3)=(mean_wealth_t(9)+mean_wealth_t(10)+mean_wealth_t(11))/3;
mean(4)=(mean_wealth_t(12)+mean_wealth_t(13)+mean_wealth_t(14))/3;
mean(5)=(mean_wealth_t(15)+mean_wealth_t(16)+mean_wealth_t(17))/3;
mean(6)=(mean_wealth_t(18)+mean_wealth_t(19)+mean_wealth_t(20))/3;
mean(7)=(mean_wealth_t(21)+mean_wealth_t(22)+mean_wealth_t(23))/3;
mean(8)=(mean_wealth_t(24)+mean_wealth_t(25)+mean_wealth_t(26))/3;
mean(9)=(mean_wealth_t(27)+mean_wealth_t(28)+mean_wealth_t(29))/3;
mean(10)=(mean_wealth_t(30)+mean_wealth_t(31)+mean_wealth_t(32))/3;
mean(11)=(mean_wealth_t(33)+mean_wealth_t(34)+mean_wealth_t(35))/3;
mean(12)=(mean_wealth_t(36)+mean_wealth_t(37)+mean_wealth_t(38))/3;
mean(13)=(mean_wealth_t(39)+mean_wealth_t(40)+mean_wealth_t(41))/3;
mean(14)=(mean_wealth_t(42)+mean_wealth_t(43)+mean_wealth_t(44))/3;
mean(15)=(mean_wealth_t(45)+mean_wealth_t(46)+mean_wealth_t(47))/3;
mean(16)=(mean_wealth_t(48)+mean_wealth_t(49)+mean_wealth_t(50))/3;


%% Import corresponding data from the SCF

dataSCF=importdata('MeansSCF.dat');

meansSCF2976=dataSCF.data(1,1:16);


%% Figure

figure('PaperPosition',[0.5 22 13 7])
hold on;
plot(mean(1:9),'s-k','linewidth',1)
plot(meansSCF2976(1:9),'d--k','linewidth',1)
hold off;
axis([0 10 0 8])
xticks([1 3 5 7 9])
xticklabels({'29-31','35-37','41-43','47-49','53-55'})
xlabel('Age group','FontSize',11,'Interpreter','latex')
ylabel('Mean financial wealth (normalised)','FontSize',11,'Interpreter','latex')
legend({'Model','Data'},'FontSize',10,'Interpreter','latex','Location','southeast')
 

print('Fig_9_means','-dpdf')

